Flashing a Ubiquiti Bullet M2-HP to SECN-4 ?

207 views
Skip to first unread message

Richard

unread,
Feb 10, 2019, 9:50:51 PM2/10/19
to Village Telco Development Community
Advice please - I would like to get a new Ubiquiti BulletM2-HP flashed to run SECN-4-x VillageTelco firmware - is that possible?

Current this Bullet is at AirOS Firmware Version: XW.v6.1.9

I read here on the OpenWRT site that I first need to revert the Bullet back to XW.v5.5.10 (although it doesn't explicitly report on the Atheros AR9342 version)

I've found firmware that claim to be this online - e.g. here - but the Bullet will not accept it - either via TFTP or using the upload option from with the Bullet M2 "Upload Firmware" web interface itself.

So - I think my questions are:

 - do you know if the BulletM2-HP can be flashed to eventually get to the SECN-4-x firmware?
 - if so, am I right to be looking for XW.v5.5.10 ?
 - if so, could someone point me to a valid copy of this?

I assume that if I can get  XW.v5.5.10 loaded, then I can load the OpenWRT code, and then the SECN code - as I have done for some older Bullets that we have, that use the Atheros AR7240 chip.

Thank in anticipation for any advice on this.

Richard

T Gillett

unread,
Feb 11, 2019, 5:15:17 PM2/11/19
to village-telco-dev
Hi Richard

The OpenWrt wiki page (https://openwrt.org/toh/ubiquiti/bullet), lists two models of the Bullet device - Bullet M and Bullet M XW

ModelVersionSoCCPU MHzFlash MBRAM MBWLAN HardwareWLAN2.4WLAN5.0100M portsGbit portsModemUSB
Bullet M
Atheros AR7240400832¿-a/n1---
Bullet M xw
Atheros AR9342¿864Atheros AR9342b/g/na/n1---

As of the latest stable OpenWrt release (18.06) there appears to be firmware available only for the Bullet M model.

The OpenWrt wiki page suggests that the XW model is supported in snapshot, but it does not seem to appear in the snapshot download page

Assuming that the device you want to use is a Bullet M, then it is supported in OpenWrt stable releases, and in the SECN 4 firmware here:

The catch with the Ubiquity devices is that (sadly) they actively discourage the installation of non-OEM firmware, so you proceed at your own risk and with no support from the manufacturer.

The OpenWrt wiki page spells out that you must downgrade the firmware to Ver 5.5.10 and the page provides a link to the firmware on the Ubiquity site here:         http://dl.ubnt.com/firmwares/XN-fw/v5.5.10/XM.v5.5.10.24241.141001.1649.bin

So, assuming that you can get the device downgraded successfully, you should then be able to install one of the stable OpenWrt releases using the "factory" version of the firmware from the download page.

Once you have that running successfully, then you can install the  SECN 4 sysupgrade firmware (as you have done previously)
Please note that when you install the SECN sysupgrade firmware, you *MUST* remember to uncheck the box on the OpenWrt firmware Upgrade page that retains the settings.

If on the other hand, the device you want to use is a Bullet M XW, then it appears that the OpenWrt firmware is not actually available for it at this time.

Regards
T

--
You received this message because you are subscribed to the Google Groups "Village Telco Development Community" group.
To unsubscribe from this group and stop receiving emails from it, send an email to village-telco-...@googlegroups.com.
To post to this group, send email to village-...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/village-telco-dev/8c48f622-8ac9-473f-be99-ecce2b9d4c12%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply all
Reply to author
Forward
0 new messages